ConnManagerParamBean (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.params
Class ConnManagerParamBean

    java.lang.Object
      org.apache.http.params.HttpAbstractParamBean
          org.apache.http.conn.params.ConnManagerParamBean

Deprecated. (4.1) use configuration methods of the specific connection manager implementation.

    @Deprecated
    public class ConnManagerParamBean

extends org.apache.http.params.HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate connection manager parameters using Java Beans conventions.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.params.HttpAbstractParamBean
`params`

Constructor Summary
`ConnManagerParamBean(org.apache.http.params.HttpParams params)` Deprecated.

Method Summary
`void` | `setConnectionsPerRoute(ConnPerRouteBean connPerRoute)` Deprecated.
`void` | `setMaxTotalConnections(int maxConnections)` Deprecated.
`void` | `setTimeout(long timeout)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnManagerParamBean

    public ConnManagerParamBean(org.apache.http.params.HttpParams params)

  Deprecated.

Method Detail

### setTimeout

    public void setTimeout(long timeout)

  Deprecated.

### setMaxTotalConnections

    public void setMaxTotalConnections(int maxConnections)

  Deprecated.

### setConnectionsPerRoute

    public void setConnectionsPerRoute(ConnPerRouteBean connPerRoute)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.